% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/thin_posterior.R
\name{thin_posterior}
\alias{thin_posterior}
\title{Thinning Posterior Draws}
\usage{
thin_posterior(x, thin)
}
\arguments{
\item{x}{an object of class \code{"bvar"}, \code{"bvarlist"} or \code{"bvec"}.}

\item{thin}{an integer specifying the thinning interval between successive values of posterior draws.}
}
\description{
Thins the MCMC posterior draws in an object of class \code{"bvar"}, \code{"bvarlist"} or \code{"bvec"}.
}
\examples{

# Load data
data("e1")
e1 <- diff(log(e1)) * 100

# Obtain data matrices
model <- gen_var(e1, p = 2, deterministic = 2,
                 iterations = 100, burnin = 10)
# Chosen number of iterations and burn-in draws should be much higher.

# Add prior specifications
model <- add_priors(model)

# Obtain posterior draws
object <- draw_posterior(model)

object <- thin_posterior(object)

}
